Get Sites Schema
GET/sites/:siteId/schema/document
Gets Sites schema
Request
Path Parameters
siteId stringrequired
Site Identifier
Query Parameters
locale string
Site Locale (ISO 639 / ISO 3166)
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
name string
Name of schema
attributes
object
compositeKeys
object[]
List of Composite Keys
attributeKeys string[]
required
object[]
List of Required Attributes
attributeKey string
defaultEntityTypeId string
defaultEntityId string
minNumberOfValues number
The minimum number of attribute values
maxNumberOfValues number
The maximum number of attribute values
defaultValue string
Default value
defaultValues string[]
Default values
allowedValues string[]
Only valid string values
localizedAllowedValues
object
property name* string
optional
object[]
List of Optional Attribute
defaultEntityTypeId string
defaultEntityId string
minNumberOfValues number
The minimum number of attribute values
maxNumberOfValues number
The maximum number of attribute values
attributeKey string
allowedValues string[]
Only valid string values
localizedAllowedValues
object
property name* string
allowAdditionalAttributes boolean
Default value:
true{
"name": "string",
"attributes": {
"compositeKeys": [
{
"attributeKeys": [
"string"
]
}
],
"required": [
{
"attributeKey": "string",
"defaultEntityTypeId": "string",
"defaultEntityId": "string",
"minNumberOfValues": 0,
"maxNumberOfValues": 0,
"defaultValue": "string",
"defaultValues": [
"string"
],
"allowedValues": [
"string"
],
"localizedAllowedValues": {}
}
],
"optional": [
{
"defaultEntityTypeId": "string",
"defaultEntityId": "string",
"minNumberOfValues": 0,
"maxNumberOfValues": 0,
"attributeKey": "string",
"allowedValues": [
"string"
],
"localizedAllowedValues": {}
}
],
"allowAdditionalAttributes": true
}
}
Loading...